Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 353636 - sys-apps/dbus-1.4.1: fd.o bug 14259 fixed, no need for patchfile anymore
Summary: sys-apps/dbus-1.4.1: fd.o bug 14259 fixed, no need for patchfile anymore
Status: VERIFIED FIXED
Alias: None
Product: Gentoo/Alt
Classification: Unclassified
Component: Prefix Support (show other bugs)
Hardware: All OS X
: High normal (vote)
Assignee: Gentoo Prefix
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-03 20:12 UTC by Charles Davis
Modified: 2012-03-07 19:37 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Charles Davis 2011-02-03 20:12:48 UTC
The Gentoo distribution of D-Bus includes a patch for on-demand launch support under the Darwin Launcher Daemon (launchd). The fix was applied to D-Bus 1.4.1, so it is now no longer necessary. In fact, building with the patch now fails.

Reproducible: Always

Steps to Reproduce:
1. Build D-Bus (emerge dbus)

Actual Results:  
D-Bus build fails because the ebuild script applies a patch file (dbus-1.4.0-launchd_upstream_bug_14259_p2.patch) that is no longer necessary.

Expected Results:  
D-Bus should build successfully.
Comment 1 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-02-03 20:29:05 UTC
I removed *all* those patches that referenced the upstream bug. Hope that was correct. Less patches ftw, thanks.
Comment 2 Charles Davis 2011-02-07 17:27:37 UTC
Oops, wrong ebuild.

I meant to say 'sys-apps/dbus'. THAT's the one.
Comment 3 Charles Davis 2011-02-07 17:42:06 UTC
Patch files are still there...
Comment 4 Jeremy Olexa (darkside) (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2011-02-07 17:46:29 UTC
(In reply to comment #3)
> Patch files are still there...
> 

Right, I somehow forgot to hit the commit button like I thought =P

(In reply to comment #1)
> I removed *all* those patches that referenced the upstream bug. Hope that was
> correct. Less patches ftw, thanks.
> 

This comment now applies, resolving. http://overlays.gentoo.org/proj/alt/changeset/59286